Bug 459854 - virt-install with --hvm fails on F9
virt-install with --hvm fails on F9
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: python-virtinst (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 22:09 EDT by Ahmed Medhat
Modified: 2008-11-12 11:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-12 11:49:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ahmed Medhat 2008-08-22 22:09:32 EDT
Description of problem:

Trying to install a new virtual machine with virt-install and the --hvm tag tends to fail with an error, or should this be normal as F9 does not support a dom0 kernel and this option make use of it ?

Version-Release number of selected component (if applicable):

xen-runtime-3.2.0-14.fc9.x86_64
xenner-0.41-1.fc9.x86_64
xen-libs-3.2.0-14.fc9.x86_64
xen-devel-3.2.0-14.fc9.x86_64
virt-manager-0.5.4-4.fc9.x86_64
python-virtinst-0.300.3-7.fc9.noarch
libvirt-python-0.4.4-2.fc9.x86_64
libvirt-devel-0.4.4-2.fc9.x86_64
libvirt-0.4.4-2.fc9.x86_64
kvm-65-7.fc9.x86_64

How reproducible:

virt-install --name=node0  --vcpus=1 --ram=256 --check-cpu -f /dev/vg00/node06 --accelerate --os-type=linux --os-variant=fedora7 --arch=x86_64 --nographics --hvm --location=ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/releases/8/Fedora/x86_64/os/


Actual results:

Starting install...
Retrieving file .treeinfo...                                                                                                                                                                                          |  434 B     00:00     
Could not find an installable distribution at 'ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/releases/8/Fedora/x86_64/os/'
Domain installation may not have been
 successful.  If it was, you can restart your domain
 by running 'virsh start node0'; otherwise, please
 restart your installation.
Sat, 23 Aug 2008 05:02:17 ERROR    Could not find an installable distribution at 'ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/releases/8/Fedora/x86_64/os/'
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 497, in <module>
    main()
  File "/usr/sbin/virt-install", line 457, in main
    dom = guest.start_install(conscb,progresscb)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 843, in start_install
    self._prepare_install(meter)
  File "/usr/lib/python2.5/site-packages/virtinst/FullVirtGuest.py", line 242, in _prepare_install
    distro = self.os_distro)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 216, in prepare
    self._prepare_kernel_and_initrd(guest, distro, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 186, in _prepare_kernel_and_initrd
    distro = distro)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 99, in acquireKernel
    progresscb=progresscb, distro=distro, scratchdir=scratchdir)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 85, in _storeForDistro
    raise ValueError, _("Could not find an installable distribution at '%s'" % baseuri)
ValueError: Could not find an installable distribution at 'ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/releases/8/Fedora/x86_64/os/'



Expected results:

To start the installation process for the .

Additional info:

Here's the contents of /root/.virtinst/virt-install.log


[Sat, 23 Aug 2008 05:02:15 virt-install 10494] DEBUG (Guest:88) Path is block file: Assuming Block disk type.
[Sat, 23 Aug 2008 05:02:16 virt-install 10494] DEBUG (DistroManager:63) Attempting to detect distro:
[Sat, 23 Aug 2008 05:02:16 virt-install 10494] DEBUG (OSDistro:61) Detected .treeinfo file
[Sat, 23 Aug 2008 05:02:16 virt-install 10494] DEBUG (ImageFetcher:86) Fetching URI ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/releases/8/Fedora/x86_64/os//.treeinfo
[Sat, 23 Aug 2008 05:02:17 virt-install 10494] DEBUG (ImageFetcher:95) Saved file to /var/lib/libvirt/boot/virtinst-.treeinfo.lMumxR
[Sat, 23 Aug 2008 05:02:17 virt-install 10494] ERROR (virt-install:503) Could not find an installable distribution at 'ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/releases/8/Fedora/x86_64/os/'
Traceback (most recent call last):
  File "/usr/sbin/virt-install", line 497, in <module>
    main()
  File "/usr/sbin/virt-install", line 457, in main
    dom = guest.start_install(conscb,progresscb)
  File "/usr/lib/python2.5/site-packages/virtinst/Guest.py", line 843, in start_install
    self._prepare_install(meter)
  File "/usr/lib/python2.5/site-packages/virtinst/FullVirtGuest.py", line 242, in _prepare_install
    distro = self.os_distro)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 216, in prepare
    self._prepare_kernel_and_initrd(guest, distro, meter)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 186, in _prepare_kernel_and_initrd
    distro = distro)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 99, in acquireKernel
    progresscb=progresscb, distro=distro, scratchdir=scratchdir)
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 85, in _storeForDistro
    raise ValueError, _("Could not find an installable distribution at '%s'" % baseuri)
ValueError: Could not find an installable distribution at 'ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/releases/8/Fedora/x86_64/os/'
Comment 1 Cole Robinson 2008-09-16 11:35:42 EDT
Hmm, I'm having trouble reproducing this. Are you still seeing this issue?
Comment 2 Cole Robinson 2008-11-12 11:49:47 EST
Been inactive for nearly two months, and I can't reproduce. Closing as WORKSFORME. Please reopen if you are still hitting this.

Note You need to log in before you can comment on or make changes to this bug.